> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Billing Package

> Retrieve a specific billing package by its ID.



## OpenAPI

````yaml /en/openapi/v3-current/fees-engine.yaml get /v1/billing-packages/{id}
openapi: 3.1.0
info:
  title: Fees Engine
  description: ''
  version: 3.2.0
servers:
  - url: https://fees.sandbox.lerian.net
security: []
tags:
  - name: Fees Engine
paths:
  /v1/billing-packages/{id}:
    get:
      tags:
        - Billing Packages API
      summary: Retrieve a Billing Package
      description: Retrieve a specific billing package by its ID.
      parameters:
        - $ref: '#/components/parameters/BillingPackageId'
        - $ref: '#/components/parameters/XOrganizationId'
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/ContentType'
      responses:
        '200':
          description: Billing package details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingPackageResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Error0016:
                  $ref: '#/components/examples/Error0016'
                Error0019:
                  $ref: '#/components/examples/Error0019'
                Error0020:
                  $ref: '#/components/examples/Error0020'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Error0052:
                  $ref: '#/components/examples/Error0052'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Error0004:
                  $ref: '#/components/examples/Error0004'
      security: []
components:
  parameters:
    BillingPackageId:
      name: id
      in: path
      description: Unique identifier of the billing package.
      required: true
      schema:
        type: string
        example: bpkg_01HZ...
    XOrganizationId:
      name: X-Organization-Id
      in: header
      description: The unique identifier of the Organization associated with the request.
      required: true
      schema:
        type: string
        example: 019c96a0-0a98-7287-9a31-786e0809c769
    Authorization:
      name: Authorization
      in: header
      description: >-
        The authorization token in the 'Bearer <token>' format.  


        **Important:** This header is required if your environment has Access
        Manager enabled. For more information, refer to the [Access
        Manager](/en/access-manager) documentation.
      required: false
      schema:
        type: string
    ContentType:
      name: Content-Type
      in: header
      description: The type of media of the resource. Must be `application/json`.
      required: true
      schema:
        type: string
        example: application/json
  schemas:
    BillingPackageResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the billing package.
        label:
          type: string
        description:
          type: string
        type:
          type: string
          enum:
            - volume
            - maintenance
        enable:
          type: boolean
        organizationId:
          type: string
        ledgerId:
          type: string
        eventFilter:
          type: object
          properties:
            transactionRoute:
              type: string
            status:
              type: string
        pricingModel:
          type: string
        tiers:
          type: array
          items:
            type: object
            properties:
              minQuantity:
                type: integer
              maxQuantity:
                type: integer
                nullable: true
              unitPrice:
                type: string
        freeQuota:
          type: integer
        discountTiers:
          type: array
          items:
            type: object
            properties:
              minQuantity:
                type: integer
              discountPercentage:
                type: string
        countMode:
          type: string
        assetCode:
          type: string
        debitAccountAlias:
          type: string
        creditAccountAlias:
          type: string
        feeAmount:
          type: string
        maintenanceCreditAccount:
          type: string
        accountTarget:
          type: object
          properties:
            segmentId:
              type: string
            portfolioId:
              type: string
            aliases:
              type: array
              items:
                type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          format: date-time
          nullable: true
    Error:
      type: object
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
      required:
        - code
        - title
        - message
      description: The response message error.
  examples:
    Error0016:
      summary: Invalid path parameter
      value:
        code: FEE-0016
        title: Invalid path parameter
        message: >-
          Path parameters is in an incorrect format. Please check the following
          parameter and ensure they meet the required format before trying
          again.
    Error0019:
      summary: Invalid header parameter
      value:
        code: FEE-0019
        title: Invalid header parameter
        message: >-
          One or more headers parameters are in an incorrect format. Please
          check the following parameters and ensure they meet the required
          format before trying again.
    Error0020:
      summary: Missing header
      value:
        code: FEE-0020
        title: Missing header
        message: >-
          Headers parameters is required. Please check the following header
          parameters %v and ensure they are passing the values correctly.
    Error0052:
      summary: Billing package not found
      value:
        code: FEE-0052
        title: Billing package not found
        message: No billing package was found for the given ID.
    Error0004:
      summary: Internal Server Error
      value:
        code: FEE-0004
        title: Internal Server Error
        message: >-
          The server encountered an unexpected error. Please try again later or
          contact support.

````